# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'yukon/version'

Gem::Specification.new do |spec|
  spec.name          = "yukon"
  spec.version       = Yukon::VERSION
  spec.authors       = ["Bala Paranj"]
  spec.email         = ["bparanj@gmail.com"]

  spec.summary       = %q{Payment processing using Paypal.}
  spec.description   = %q{Express checkout using ActiveMerchant Paypal API.}
  spec.homepage      = "http://www.rubyplus.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.2.2'

  spec.add_dependency 'activemerchant', "~> 1.70.0"
  spec.add_dependency 'lyon', "~> 0.1.2"

  spec.add_development_dependency "bundler", "~> 1.15.3"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "rspec", "~> 3.6"
  spec.add_development_dependency "vcr", "~> 3.0.3"
  spec.add_development_dependency "webmock", "~> 1.24"
  spec.add_development_dependency "rubycritic"
end
